package com.hxhq.business.enums.study;

/**
 * 试验方法已读/未读状态 1 已读 0未读
 * @author tanfei
 */
public enum StudyMethodStatusEnum {

    /**
     * 1已读
     */
    yd(1, "已读"),

    /**
     * 0未读
     */
    wd(0, "未读");


    private int value;
    private String text;

    StudyMethodStatusEnum(int value, String text) {
        this.value = value;
        this.text = text;
    }

    public int getValue() {
        return value;
    }

    public void setValue(int value) {
        this.value = value;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public static StudyMethodStatusEnum getEnumByValue(int type) {
        for (StudyMethodStatusEnum bt : values()) {
            if (bt.value == type) {
                return bt;
            }
        }
        return null;
    }
}
